unit ANTIRLY;

interface

procedure ReadAntiRelayIni(FileName : string);

implementation

uses
  SysUtils,INIFILES,RCVGLBL;

procedure ReadAntiRelayIni(FileName : string);
var
  INIFile : TIniFile;
  S,S2 : string;
  Finished : boolean;
  KeyNum : integer;
begin
  if FileExists(Filename) then begin
    INIFile := TIniFile.Create(FileName);
    with INIFile do begin
      S := UpperCase(ReadString(ConfigKey,PopAuthKey,'N'));
      PopAuth := (S[1] = 'Y');

      S := UpperCase(ReadString(ConfigKey,DNSListsKey,'N'));
      DNSLists := (S[1] = 'Y');

      S := UpperCase(ReadString(ConfigKey,LocalNetsKey,'N'));
      LocalNets := (S[1] = 'Y');

      S := UpperCase(ReadString(SMTPRCVKey,RelayKey,'N'));
      AllowRelay := (S[1] = 'Y');

      S := UpperCase(ReadString(SMTPRCVKey,VerifydomainsKey,'N'));
      VerifyDomains := (S[1] = 'Y');

      if PopAuth then begin
        DelayMinutes := ReadInteger(PopAuthKey,DelayKey,10);
        Pop3LogDir := ReadString(PopAuthKey,Pop3LogDirKey,MailRootDir+Pop3LogConst)
      end;

      if LocalNets then begin
        Finished := false;
        KeyNum := 0;
        while not Finished do begin
          inc(KeyNum);
          S := ReadString(LocalNetsKey,NetKey+IntToStr(KeyNum),'');
          if (S <> '') then begin
            LocalNetList.Add(S);
          end else begin
            Finished := true;
          end;
        end;
      end;

      if DNSLists then begin
        Finished := false;
        KeyNum := 0;
        while not Finished do begin
          inc(KeyNum);
          S := ReadString(DNSListsKey,ListKey+IntToStr(KeyNum),'');
          if (S <> '') then begin
            S2 := ReadString(S,HeaderTextKey,S);
            DNSServers.Add(S);
            DNSHeaderText.Add(S2);
          end else begin
            Finished := true;
          end;
        end;
      end;
    end;
    INIFile.Free;
  end;
end;

end.
