unit RCVGLBL;

interface

uses
  Classes;

function FixDirBackSlash(const aDir : string): string;
procedure FixAllPaths;

const
  ConfigKey = 'config';
  SMTPRCVKey = 'smtprcv';
  PopAuthKey = 'popauth';
  DNSListsKey = 'dnslists';
  LocalNetsKey = 'localnets';

  RelayKey = 'relay';
  VerifydomainsKey = 'verifydomains';

  DelayKey = 'pop3time';
  Pop3LogDirKey = 'pop3logdir';
  NetKey = 'net';
  ListKey = 'list';
  HeaderTextKey = 'headertext';

const
  VerifyDomains : boolean = false;
  AllowRelay : boolean = false;

  MailRootConst = 'C:\winnt\system32\emwac\mail\';
  MailRootDir : string = MailRootConst;
  MailQueueConst = 'prein\';
  MailQueueDir : string = MailRootConst + MailQueueConst;
  InLogConst = 'inlog\';
  InLogDir : string = MailRootConst + InlogConst;
  POP3LogConst  = 'pop3log\';
  POP3LogDir : string = MailRootConst + Pop3LogConst;

  LocalNets : boolean = false;
  LocalNetList : TStringList = nil;
  BlackListRejection : string = 'local black list';
  LocalBlackList : TStringList = nil;
  WhiteList : TStringList = nil;

  LocalUsers : boolean = false;
  LocalUserList : TStringList = nil;
  SkipUserVerificationList : TStringList = nil;

  IMSUserList : boolean = true;
  NTUserDatabase : boolean = true;
  NTGroupName : string = 'IMSUsers';
  Plugin1UserList : boolean = false;
  Plugin1ConfigFile : string = '';

  ExtendedErrors : boolean = false;

  MailInLogEnabled : boolean = false;

  PopAuth : boolean = false;
  DelayMinutes : integer = 30;

  LocalDomainList : TStringList = nil;

  DNSLists : boolean = false;
  DNSServers : TStringList = nil;
  DNSHeaderText : TStringList = nil;

  UIActive : boolean = false;

implementation

uses
  sysutils;

function FixDirBackSlash(const aDir : string): string;
begin
  Result := aDir;
  if (length(aDir) > 0) and (AnsiLastChar(aDir)^ <> '\') then
    Result := aDir + '\'
end;


procedure FixAllPaths;
begin
  MailRootDir := FixDirBackSlash(MailRootDir);
  MailQueueDir := FixDirBackSlash(MailQueueDir);
  InlogDir := FixDirBackSlash(InlogDir);
  Pop3LogDir := FixDirBackSlash(Pop3LogDir);
end;

end.
