unit SUBNET;

interface

type
  PSubNet = ^TSubNet;
  TSubNet = record
    Net : longword;
    Mask : longword;
  end;

function ParseSubNet(Mask : string) : PSubNet;
function ParseIPAddress(IPAddy : string) : longword;

implementation

uses
  SysUtils;

function GenMask(Mask : string) : longword;
var
  bMask : byte;
  Su : longword;
begin
  bMask := StrToInt(Mask);
  if (bMask = 0) then
    Su := 0
  else begin
    Su := $1;
    Su := ((Su shl (32-bMask))-1) xor $FFFFFFFF;
  end;
  Genmask := Su;
end;

function ParseSubNet(Mask : string) : PSubNet;
var
  P : byte;
  SubNet : string;
  iSubNet : longword;
  iMask : longword;
  TempNet : PSubNet;
begin
  ParseSubNet := nil;
  Mask := trim(Mask); {get rid of spaces}
  try
    P := pos('/',Mask);
    if (P=0) then exit;
    SubNet := copy(Mask,1,P-1);
    delete(Mask,1,P);
    iSubNet := ParseIPAddress(SubNet);
    iMask := Genmask(Mask);
    if (iSubNet > 0) and (iMask > 0) then begin
      new(TempNet);
      with TempNet^ do begin
        Net := iSubNet and iMask;
        Mask := iMask;
      end;
      ParseSubNet := TempNet;
    end;
  except
    ParseSubNet := nil;
  end;
end;

function ParseIPAddress(IPAddy : string) : longword;
var
  A : array[1..4] of byte;
  P,Loop : byte;
  S : string;
begin
  ParseIPAddress := 0;
  IPAddy := trim(IPAddy);
  try
    for Loop := 4 downto 1 do begin
      P := pos('.',IPAddy);
      S := IPAddy;
      if (P > 0) then begin
        S := copy(IPAddy,1,P-1);
        delete(IPAddy,1,P);
      end;
      A[Loop] := StrToInt(S);
    end;
    ParseIPAddress := longword(A);
  except
    ParseIPAddress := 0;
  end;
end;

end.
 